Skip to main content
GET
/
api
/
v1
/
secret-syncs
/
azure-devops
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/secret-syncs/azure-devops
{
  "secretSyncs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "projectId": "<string>",
      "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "syncOptions": {
        "initialSyncBehavior": "overwrite-destination",
        "keySchema": "<string>",
        "disableSecretDeletion": true
      },
      "connection": {
        "app": "azure-devops",
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "environment": {
        "slug": "<string>",
        "name": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "folder": {
        "id": "<string>",
        "path": "<string>"
      },
      "destination": "azure-devops",
      "destinationConfig": {
        "devopsProjectId": "<string>",
        "devopsProjectName": "<string>"
      },
      "description": "<string>",
      "isAutoSyncEnabled": true,
      "version": 1,
      "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "syncStatus": "<string>",
      "lastSyncJobId": "<string>",
      "lastSyncMessage": "<string>",
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "importStatus": "<string>",
      "lastImportJobId": "<string>",
      "lastImportMessage": "<string>",
      "lastImportedAt": "2023-11-07T05:31:56Z",
      "removeStatus": "<string>",
      "lastRemoveJobId": "<string>",
      "lastRemoveMessage": "<string>",
      "lastRemovedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

projectId
string
required

The ID of the project to list Azure DevOps Syncs from.

Minimum string length: 1

Response

Default Response

secretSyncs
Azure DevOps · object[]
required